FabricEngine2.0 _CAPI.pyd(for py2.6) python.dll version incorrect (2.7)

Hi,

It seems that the "Python/2.6/FabricEngine/Core/_CAPI.pyd" including fe2.0.1 (2.0.0 and pablo daily build) is not built with python26.dll but with python27.dll (I found that with Dependency Walker). This causes import error like this,

import FabricEngine.Core

# Error: Module use of python27.dll conflicts with this version of Python.
# Traceback (most recent call last):
#   File "<maya console>", line 5, in <module>
#   File "D:\fabric\latest\Python\2.6\FabricEngine\Core\__init__.py", line 11, in <module>
#     import CAPI
#   File "D:\fabric\latest\Python\2.6\FabricEngine\Core\CAPI.py", line 28, in <module>
#     _CAPI = swig_import_helper()
#   File "D:\fabric\latest\Python\2.6\FabricEngine\Core\CAPI.py", line 24, in swig_import_helper
#     _mod = imp.load_module('_CAPI', fp, pathname, description)
# ImportError: Module use of python27.dll conflicts with this version of Python. # 

my main tool still remains maya2013(python2.6 + SpliceMaya custom build)... Is this a known issue?

best regards,
Takayoshi

Comments

  • Kevin TureskiKevin Tureski Posts: 126 ✭✭

    With Fabric Engine 2 (and 2.0.1) 'Fabric for Maya integration is supported for Autodesk Maya 2014, 2015 and 2016 and their corresponding service packs and extensions on Windows and Linux'. That's straight from the Release Notes. There are only so many versions that we can support.

  • pzionpzion Moderator, Fabric Employee Posts: 118 Fabric Employee

    Nonetheless, the Python 2.6 module should be linked against Python 2.6 :-) I've filed an issue to have this fixed, thanks for pointing this out.

    Peter Zion
    Fabric Engine

  • borjaborja Administrator, Fabric Employee Posts: 480 admin

    The ticket Peter created was FE-5818

    Borja Morales
    Technical Product Manager
    Fabric Software Inc.

  • pzionpzion Moderator, Fabric Employee Posts: 118 Fabric Employee

    Hi Takayoshi,

    This should be fixed in the daily builds starting later today, as well as the upcoming 2.0.2 release. Thanks for the bug report!

    Peter Zion
    Fabric Engine

Sign In or Register to comment.